PHP技术,网站开发,PHP,PHP学习,Python学习,PHP开发,人工智能,大数据服务

PHP+Python » 服务器 » hadoop环境问题:WARN util.NativeCodeLoader: Unable to load native-hadoop library for your pl

hadoop环境问题:WARN util.NativeCodeLoader: Unable to load native-hadoop library for your pl

此文被围观592日期: 2017-07-22 分类 : 服务器  标签:  ··

在spark操作hadoop文件复制的时候报错:

WARN util.NativeCodeLoader: Unable to load native-hadoop library for your pl


解决方法就是在hadoop-env.sh文件末加上:

export HADOOP_OPTS="-Djava.library.path=${HADOOP_HOME}/lib/native"  

重新运行,没有报这个问题了,

查阅资料:

http://www.cnblogs.com/likui360/p/6558749.html

http://www.cnblogs.com/wuren/p/3962511.html


© Copyright 2011-2019 adophper.com. All Rights Reserved.
读图网科技 版权所有。蜀ICP备12031064号